Memo
This is an object representing a Fishbowl memo. Memos are used to add information to fishbowl objects.
The following objects support memos:
-
Manufacture Orders
-
Purchase Orders
Related guide: Memos
The memo object
Attributes
-
id integerThe memo's unique identification number.
-
memo stringThe text inside the memo.
-
username stringUsername of the user who created or modified the memo.
-
dateCreated dateThe date the memo was created.
THE MEMO OBJECT
{
"id": 42,
"memo": "This is a memo",
"username": "admin",
"dateCreated": "2021-02-26T13:59:53.171-0700"
}
Get a list of memos
Retrieves a list of memos for the specific object.
Attributes
No attributes.
GET /api/<OBJECT ENDPOINT>/:id/memos
curl --location \ --request GET '<YOUR SERVER>/api/<OBJECT ENDPOINT>/:id/memos' \ --header 'Authorization: Bearer <TOKEN>'
RESPONSE
[
{
"id": 43,
"memo": "This is my other memo",
"username": "dave",
"dateCreated": "2021-02-26T14:22:16.383-0700"
},
{
"id": 42,
"memo": "This is a memo",
"username": "dave",
"dateCreated": "2021-02-26T13:59:53.171-0700"
}
]
Get a memo
Retrieves the details of an existing memo. You only need to provide the unique memo ID.
Attributes
No attributes.
GET /api/<OBJECT ENDPOINT>/:id/memos/:memoId
curl --location \ --request GET '<YOUR SERVER>/api/<OBJECT ENDPOINT>/:id/memos/:memoId' \ --header 'Authorization: Bearer <TOKEN>'
RESPONSE
{
"id": 42,
"memo": "This is a memo",
"username": "admin",
"dateCreated": "2021-02-26T13:59:53.171-0700"
}
Create a memo
Creates a memo.
Attributes
-
memo stringThe text inside the memo.
POST /api/<OBJECT ENDPOINT>/:id/memos
curl --location \ --request POST '<YOUR SERVER>/api/<OBJECT ENDPOINT>/:id/memos' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <TOKEN>' \ --data-raw '<MEMO JSON>'
RESPONSE
{
"id": 44,
"memo": "Creating a memo",
"username": "admin",
"dateCreated": "2021-02-26T14:34:53.570-0700"
}
Update a memo
Updates a memo.
Attributes
-
memo stringThe text inside the memo.
POST /api/<OBJECT ENDPOINT>/:id/memos/:memoId
curl --location \ --request POST '<YOUR SERVER>/api/<OBJECT ENDPOINT>/:id/memos/:memoId' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <TOKEN>' \ --data-raw '<MEMO JSON>'
RESPONSE
{
"id": 42,
"memo": "Updated memo",
"username": "admin",
"dateCreated": "2021-02-26T13:59:53.171-0700"
}
Delete a memo
Deletes the memo with the specified ID.
Attributes
No attributes.
DELETE /api/<OBJECT ENDPOINT>/:id/memos/:memoId
curl --location \ --request DELETE '<YOUR SERVER>/api/<OBJECT ENDPOINT>/:id/memos/:memoId' \ --header 'Authorization: Bearer <TOKEN>'
RESPONSE
{}
